# sofes


[![image](https://img.shields.io/pypi/v/sofes.svg)](https://pypi.python.org/pypi/sofes)
[![python: 3.60](https://img.shields.io/badge/python-3.6-blue.svg)](https://www.python.org/downloads/release/python-3610/)
[![github](https://img.shields.io/badge/version-0.0.1-yellow.svg)](https://github.com/naotoo1/sofes)
[![License: MIT](https://img.shields.io/badge/License-MIT-green.svg)](https://opensource.org/licenses/MIT)

**A python package for prototype-based feature selection**

Sofes is a prototype-based soft feature selection package wrapped around the
highly interpretable Matrix Robust Soft Learning Vector Quantization (MRSLVQ) and the Local
MRSLVQ algorithms. The process of assessing feature relevance with Sofes aligns with a comparable
approach established in the nafes package, with the primary distinction being the utilization of
prototype-based induction learners influenced by a probabilistic framework.

    

## Installation
sofes can be installed using pip.
```python
pip install sofes
```

If you have installed Prosemble before and want to upgrade to the latest version, you can run the following command in your terminal:
Prosemble can be installed using pip.
```python
pip install -U sofes
```


To install the development version from GitHub using Git, run the following command in your terminal:
```python
pip install git+https://github.com/naotoo1/sofes
```


## Bibtex
If you would like to cite the package, please use this:
```python
@misc{Otoo_sofes_2023,
author = {Otoo, Nana Abeka},
title = {sofes},
year = {2023},
publisher = {GitHub},
journal = {GitHub repository},
howpublished= {\url{https://github.com/naotoo1/sofes}},
}
```


